## python-svglib 1.5.1+dfsg

=== requirements.txt ===
reportlab
lxml
tinycss2>=0.6.0
cssselect2>=0.2.0

## python-svglib 1.2.0+dfsg

=== debian/changelog ===
python-svglib (1.2.0+dfsg-1) unstable; urgency=medium

  [ Agathe Porte ]
  * New upstream version 1.2.0+dfsg
  * d/copyright: fix uscan Files-Excluded warning
  * Introduce d/gbp.conf

  [ Jeroen Ploemen ]
  * Copyright: update year and name for upstream.

 -- Agathe Porte <debian@microjoe.org>  Sat, 05 Feb 2022 09:49:53 +0000

python-svglib (1.1.0+dfsg-3) unstable; urgency=medium

  [ Agathe Porte ]
  * autopkgtests: use py3versions
  * update debian metadata: new year, changed uploader
  * d/watch: remove filenamemangle, prefer symlink
  * d/control: update Standards version to 4.6.0 (no changes needed)

  [ Mattia Rizzolo ]
  * Build-depend on dh-sequence-python3 for a more declarative packaging.

 -- Agathe Porte <debian@microjoe.org>  Sat, 15 Jan 2022 09:43:53 +0100

python-svglib (1.1.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * debian/salsa-ci.yml: Use Salsa CI.
  * Source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Wed, 29 Sep 2021 21:19:05 -0400

python-svglib (1.1.0+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #984951)

 -- Romain Porte <debian@microjoe.org>  Fri, 20 Aug 2021 10:36:38 -0700

=== debian/control ===
Source: python-svglib
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Agathe Porte <debian@microjoe.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-cssselect2,
 python3-lxml,
 python3-pytest <!nocheck>,
 python3-reportlab,
 python3-setuptools,
 python3-tinycss2,
Standards-Version: 4.6.0
Homepage: https://github.com/deeplook/svglib
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-svglib
Vcs-Git: https://salsa.debian.org/python-team/packages/python-svglib.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-svglib
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python library for reading SVG files and converting them
 Used as a package you can read existing SVG files and convert them into
 ReportLab Drawing objects that can be used in a variety of contexts, e.g. as
 ReportLab Platypus Flowable objects or in RML. As a command-line tool it
 converts SVG files into PDF ones (but adding other output formats like bitmap
 or EPS is really easy and will be better supported, soon).

## python-svglib 1.4.1+dfsg

=== debian/changelog ===
python-svglib (1.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.4.1+dfsg
  * Update Standards-Version to 4.6.1 (no changes needed)

 -- Agathe Porte <debian@microjoe.org>  Fri, 12 Aug 2022 18:44:42 +0200

python-svglib (1.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.3.0+dfsg

 -- Agathe Porte <debian@microjoe.org>  Tue, 24 May 2022 21:32:28 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-reportlab,
  python3-setuptools,
  python3-tinycss2,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/deeplook/svglib
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-svglib
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-svglib.git

=== debian/rules ===
#!/usr/bin/make -f


export PYBUILD_NAME=python-svglib

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: python3-tests
Depends:
 python3-all,
 python3-pytest,
 @,

=== debian/watch ===
version=4
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
  repacksuffix=+dfsg \
  https://github.com/deeplook/svglib/tags .*/v?(\d\S+)\.tar\.gz

## python-svglib 1.5.1+dfsg

=== debian/changelog ===
python-svglib (1.5.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.5.1+dfsg.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Bruno Martins <bruno.martval@gmail.com>  Mon, 13 Jan 2025 23:15:21 -0300

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-reportlab,
  python3-setuptools,
  python3-tinycss2,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/deeplook/svglib
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-svglib
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-svglib.git
